%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             picketbox-xacml
Version:          2.0.6
Release:          2%{?dist}
Summary:          JBoss XACML
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/picketbox

# svn export http://anonsvn.jboss.org/repos/jbossas/projects/security/security-xacml/tags/2.0.6.Final/ picketbox-xacml-2.0.6.Final
# tar cafJ picketbox-xacml-2.0.6.Final.tar.xz picketbox-xacml-2.0.6.Final
Source0:          %{name}-%{namedversion}.tar.xz
Patch0:           %{name}-%{namedversion}-pom.patch

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    junit4
BuildRequires:    picketbox-commons

Requires:         picketbox-commons
Requires:         jpackage-utils
Requires:         java

%description
JBoss XACML Library

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

rm .classpath

%build
# Disabled tests because OpenDS is needed
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -pm 644 jboss-xacml/target/jboss-xacml-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar
install -pm 644 jboss-sunxacml/target/jboss-sunxacml-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/picketbox-sunxacml.jar

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 parent/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
install -pm 644 jboss-xacml/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
install -pm 644 jboss-sunxacml/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-picketbox-sunxacml.pom
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}-main.pom

# DEPMAP
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar -a "org.jboss.security:jbossxacml"
%add_maven_depmap JPP.jboss-picketbox-sunxacml.pom jboss/picketbox-sunxacml.jar
%add_maven_depmap JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-main.pom

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Sun Feb 19 2012 Ricardo Arguello <ricardo@fedoraproject.org> 2.0.6-2
- Fixed summary, description and URL

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.6-1
- Initial packaging
